//
//  AppDelegate.h
//  Navsea Controller
//
//  Created by Kristopher Krasnosky on 7/12/13.
//  Copyright (c) 2013 Faraway5. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AsyncUdpSocket.h"

@interface AppDelegate : NSObject <NSApplicationDelegate>{
    long tag;
    AsyncUdpSocket *udpSocket;
}
@property (weak) IBOutlet NSWindow *window;
@property (weak) IBOutlet NSTextField *addrField;
@property (weak) IBOutlet NSTextField *portField;
@property (weak) IBOutlet NSSlider *steerSlider;
@property (weak) IBOutlet NSTextField *rangerVal;
@property (weak) IBOutlet NSLevelIndicatorCell *rangerBar;
@property (weak) IBOutlet NSSlider *powSlider;
@property (weak) IBOutlet NSLevelIndicator *quarterRangerBar;
@property (weak) IBOutlet NSTextField *quarterRangerVal;
@property (weak) IBOutlet NSLevelIndicator *sideRangerBar;
@property (weak) IBOutlet NSTextField *sideRangerVal;


- (IBAction)setSteer:(id)sender;
- (IBAction)setPow:(id)sender;
- (IBAction)setAuto:(id)sender;
- (IBAction)setManual:(id)sender;
- (void)send: (NSString*)msg;         // method used to send data to arduino

 
@end
